package afwhs.a0001

import jp.hishidama.afwhs._

object Sample1WordCount {
  def run(in: Source[LineModel]) = {
    val splitResult = in.cogroup("split", "", Result[WordCountModel]("out")) {
      (s1, r1) =>
        s1.foreach {
          _.text.split("[ \t]+").foreach { w => r1.add(WordCountModel(w, 1)) }
        }
    }
    println(splitResult)
    val sumResult = splitResult.cogroup("sum", "word", Result[WordCountModel]("out")) {
      (s1, r1) =>
        r1.add(WordCountModel(s1(0).word, s1.map(_.count).sum))
    }
    sumResult
  }

  def main(args: Array[String]) {
    val r = run(Source(LineModel("Hello World"),
      LineModel("Hello Asakusa"),
      LineModel("Hello Hadoop")))
    println(r)
  }
}
